Sins of a Solar Empire : Real-Time Strategy. Unrivalled Scale.
© 2003-2014 Ironclad Games Corporation Vancouver, BC. All rights reserved.
© 2006-2014 Stardock Entertainment

Sins Trinity patch problems

By on September 30, 2011 11:06:31 PM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums

BiGShoTTTTT

Join Date 04/2011
0

I recently bought SINS trinity. I have registered it on impulse, but when I try to update entrenchment or diplomacy it tells me I need to register them? I tried the code in my game box but that only seems to work only for the trinity pack???

-Help

10 Replies
Search this post
Subscription Options


Reason for Karma (Optional)
Successfully updated karma reason!
September 30, 2011 11:37:09 PM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums

Is this the retail version?

Reason for Karma (Optional)
Successfully updated karma reason!
September 30, 2011 11:47:24 PM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums

Yes, I bought it in a retail store.

Reason for Karma (Optional)
Successfully updated karma reason!
October 1, 2011 12:34:54 AM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums

Hmm, well I'm not sure exactly how it works for the trinity pack users, but do you have a Sins "trinity" under your games tab, or is it just the three separate games? If you do have a separate trinity game, can you update that?

Reason for Karma (Optional)
Successfully updated karma reason!
October 1, 2011 1:07:08 AM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums

Trinity is sins + ent + dip... so when you update diplomacy, everything is normally updated... 

Make your trinity update... start a sins or ent game, and check the version ( it is in the lower right corner of the main menu screen )... very possible that your are updated to the last version...

Reason for Karma (Optional)
Successfully updated karma reason!
October 1, 2011 10:29:00 AM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums

Thanks for the help guys. For some reason last night when I registered the game, it was not allowing or giving me any options to update. But now everything is working, my diplomacy is at version 1.32

 

Oh btw, does anyone know of a way to change back to any older versions of the game? Most of the mods I want to play require version 1.21 . . . or 1.2 something.

 

Thank you for you quick responces.

Reason for Karma (Optional)
Successfully updated karma reason!
October 1, 2011 11:34:38 AM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums

Quoting jtaskew91,
Oh btw, does anyone know of a way to change back to any older versions of the game? Most of the mods I want to play require version 1.21 . . . or 1.2 something.

Before making any update, simply make a backup from your full sins folder... it is the only way to rollback if you wish it...

Reason for Karma (Optional)
Successfully updated karma reason!
October 1, 2011 12:13:38 PM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums

Quoting jtaskew91,
Thanks for the help guys. For some reason last night when I registered the game, it was not allowing or giving me any options to update. But now everything is working, my diplomacy is at version 1.32

 

Oh btw, does anyone know of a way to change back to any older versions of the game? Most of the mods I want to play require version 1.21 . . . or 1.2 something.

 

Thank you for you quick responces.

Yeah, sadly impulse doesn't allow you to download older version. If you never had version 1.2/1.21, I'm afraid there is no way you'll be able to downgrade (sort of someone who did make an archive as Thoumsin mentioned sent you his). What mod did you want to get? Here are a few good up to date mods off the top of my head (any mod for Diplomacy 1.31 or 1.32 will work, as well as Entrenchment 1.051 and Original 1.191)

 

Reason for Karma (Optional)
Successfully updated karma reason!
October 1, 2011 12:26:50 PM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums

Rick's Galaxy

This place has more as the guy takes care of them fairly well.

Reason for Karma (Optional)
Successfully updated karma reason!
October 1, 2011 11:14:24 PM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums


[/quote]Yeah, sadly impulse doesn't allow you to download older version. If you never had version 1.2/1.21, I'm afraid there is no way you'll be able to downgrade (sort of someone who did make an archive as Thoumsin mentioned sent you his). What mod did you want to get? Here are a few good up to date mods off the top of my head (any mod for Diplomacy 1.31 or 1.32 will work, as well as Entrenchment 1.051 and Original 1.191)

"Star Wars - Requiem" mod for Entrenchment and Diplomacy 1.31 (major patch 3.4 release)
[MOD WIP] Star Trek: Sacrifice of Angels 2 UPDATED 7/19/2011 SOA2 1.3 Update Released
[MOD] Distant Stars - [16/08 (D)]0.99 Beta 5 Released!
MOD: Stargate Races - 2011/08/20 - Diplomacy v1.32 Update
[MOD] Maelstrom |Original|Entrenchment|Diplomacy
Sins Plus Mod for Diplomacy v1.32 (current version)
 [/quote]

 

I really wanted to play a mod calles Stars. Can't remember a whole lot about it off the top of my head, but it looked cool. And I am currently playing malestrom. Is there a way to implement realistic maps into malestrom i.e. large maps with long phase jums?

 

Reason for Karma (Optional)
Successfully updated karma reason!
October 1, 2011 11:40:30 PM from Sins of a Solar Empire Forums Sins of a Solar Empire Forums

Quoting jtaskew91,
I really wanted to play a mod calles Stars. Can't remember a whole lot about it off the top of my head, but it looked cool. And I am currently playing malestrom. Is there a way to implement realistic maps into malestrom i.e. large maps with long phase jums?

With the galaxy forge tool you can increase the length of the phase jumps by changing the "scale factor" of any map you wish (I recommend you don't overwrite the orginals though, just make a copy like "Gateway long"). You can also of course make your own large maps or download those others have made.

Reason for Karma (Optional)
Successfully updated karma reason!
Stardock Forums v1.0.0.0    #108432  walnut2   Server Load Time: 00:00:00.0000328   Page Render Time: